WebSphereJDBCProvider (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJDBCProvider interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereJDBCProvider

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource, WebSphereJ2EEResource

    public interface WebSphereJDBCProvider

extends WebSphereJ2EEResource

Represents a JDBC Provider deployed to a WebSphere environment.

Persistable:
  true
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEResource
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getClasspath()`
`WebSphereJDBCDataSource[]` | `getDataSources()`
`java.lang.String` | `getImplementationClassName()`
`java.lang.String` | `getNativepath()`
`boolean` | `getXAClassNameTemplateMatcher()`
`boolean` | `hasClasspath()`
`boolean` | `hasDataSources()`
`boolean` | `hasImplementationClassName()`
`boolean` | `hasNativepath()`
`boolean` | `hasXAClassNameTemplateMatcher()`
`void` | `setClasspath(java.lang.String classpath)`
`void` | `setDataSources(WebSphereJDBCDataSource[] dataSources)`
`void` | `setImplementationClassName(java.lang.String className)`
`void` | `setNativepath(java.lang.String nativepath)`
`void` | `setXAClassNameTemplateMatcher(boolean xa)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEResource
`getNode, hasNode, setNode`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getImplementationClassName

    java.lang.String getImplementationClassName()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setImplementationClassName

    void setImplementationClassName(java.lang.String className)

### hasImplementationClassName

    boolean hasImplementationClassName()

### getXAClassNameTemplateMatcher

    boolean getXAClassNameTemplateMatcher()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setXAClassNameTemplateMatcher

    void setXAClassNameTemplateMatcher(boolean xa)

### hasXAClassNameTemplateMatcher

    boolean hasXAClassNameTemplateMatcher()

### getNativepath

    java.lang.String getNativepath()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNativepath

    void setNativepath(java.lang.String nativepath)

### hasNativepath

    boolean hasNativepath()

### getClasspath

    java.lang.String getClasspath()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClasspath

    void setClasspath(java.lang.String classpath)

### hasClasspath

    boolean hasClasspath()

### getDataSources

    WebSphereJDBCDataSource[] getDataSources()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="false"

### setDataSources

    void setDataSources(WebSphereJDBCDataSource[] dataSources)

### hasDataSources

    boolean hasDataSources()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD